l
<template>
  <div>
    <el-row>
      <el-col>
        <el-tabs v-model.trim="activeName" @tab-click="handleClick">
          <el-tab-pane
            label="监测点台账数据质量问题"
            name="first"
            :style="'height:' + vh + ';'"
          >
          <Monitoringpoint v-if="activeName=='first'"></Monitoringpoint>
          </el-tab-pane>

          <!-- <el-tab-pane
            label="牵引站台账数据质量问题"
            name="second"
            :style="'height:' + vh + ';'"
          >
          <Tractionstation v-if="activeName=='second'"></Tractionstation>
          </el-tab-pane> -->

          <el-tab-pane
            label="稳态指标类数据质量问题查询"
            name="second"
            :style="'height:' + vh + ';'"
          >
          <Questionquery v-if="activeName=='second'"></Questionquery>
          </el-tab-pane>
        </el-tabs>
      </el-col>
    </el-row>
  </div>
</template>
<script>
import Monitoringpoint from './details/Monitoringpoint.vue'    
// import Tractionstation from './details/Tractionstation.vue'    
import Questionquery from './details/Questionquery.vue'    
export default {
  components: { Monitoringpoint , Questionquery },
  data() {
    return {
      vh: "",
      activeName: "first",
      device: "",
    };
  },
  created() {},
  mounted() {
   
    this.setHeight()
        window.addEventListener('resize', this.setHeight)
    },
    beforeDestroy() {
        window.removeEventListener('resize', this.setHeight)
    },
    methods: {
        setHeight() {
          this.device = window.devicePixelRatio;
    this.vh = window.sessionStorage.getItem('appheight') - 150 + "px";
     
        },
    handleClick(tab, event) {
      //console.log(tab, event);
    },
  },
};
</script>
<style lang="less" scoped>
@import url("../../../../styles/comStyle.less");

</style>
